.update-highlight {
    background-color: transparent;
    padding: 0.3rem 1rem;
    border: 2px;
    border-radius: 1rem;
    font-size: 0.8rem;
    color: #f6f6f4;
    display: inline-block;
    margin-bottom: 1rem;
}

.qr-code-div {
    display: none;
    background-color: #e8f0fe;
    margin-top: 1rem;
}

.qr-code-download {
    display: none;
    align-items: center;
    gap: .25rem;
}

.svg-icon {
    height: 1.125rem;
    width: 1.125rem;
}

@property --gradient-angle {
    syntax: "<angle>";
    initial-value: 0deg;
    inherits: false;
}

:root {
    --clr-1: #052b2f;
    --clr-2: #073438;
    --clr-3: #0e4b50;
    --clr-4: #2d8f85;
    --clr-5: #637c54;
}

.update-highlight {
    background: var(--clr-1);

    position: relative;
}

.update-highlight::before,
.update-highlight::after {
    content: "";
    position: absolute;
    inset: -0.3rem;
    z-index: -1;
    background: conic-gradient(from var(--gradient-angle),
            var(--clr-3),
            var(--clr-4),
            var(--clr-5),
            var(--clr-4),
            var(--clr-3));
    border-radius: inherit;
    animation: rotation 5s linear infinite;
}

.update-highlight::after {
    filter: blur(3.5rem);
}

@keyframes rotation {
    0% {
        --gradient-angle: 0deg;
    }

    100% {
        --gradient-angle: 360deg;
    }
}

/* social share */
.social-share-section {
    display: none;
    width: fit-content;
    margin-top: 20px;
    gap: 4rem;
    border: 1px solid #333;
    border-radius: 4px;
    padding: 10px;
    align-items: center;
}

.social-share-link {
    display: flex;
    gap: 20px;
    align-items: center;
}

.social-share span {
    margin-right: 10px;
}

.social-icon {
    width: 24px;
    height: 24px;
    border-radius: 50%;
}

.bg-white {
    background-color: #FFF;
}

.coming-soon {
    color: #666;
    font-size: 12px;
}

@media screen and (max-width: 768px) {
    .social-share-section {
        gap: 1rem;
        flex-direction: column;
    }

    .shareon-title{
        width: 80%;
        padding-bottom: 14px;
        border-bottom: 1px solid var(--border-color);
    }
}